Bug Hunting Session
Bug 54042 - Cannot change decimal separator from comma to period in italian
Summary: Cannot change decimal separator from comma to period in italian
Status: RESOLVED DUPLICATE of bug 46448
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 73482 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-08-25 08:13 UTC by lore
Modified: 2015-07-18 01:27 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file (8.08 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2015-01-04 13:18 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lore 2012-08-25 08:13:11 UTC
Dear all;
this is something which comes from OpenOffice. If you are using Italian as your language, then there's no way to set the period rather then the comma as the decimal separator. The only workaround seems that of setting Italian (Swiss) instead of Italian (Italy) as the language.

Also, if you do so, your dates in your spreadsheet get screwed up (for instance I had some dates starting from 2012 and somehow after this small change they started from 2010…).


Thank you very much for your time and for your efforts.

Best regards

Lorenzo
Comment 1 bfoman (inactive) 2013-03-11 12:04:55 UTC
You can change the default settings - Tools>Options>Language Settings>Languages>Decimal separator key. 

From the LibreOffice Help:
Decimal separator key - Same as locale setting
Specifies to use the decimal separator key that is set in your system when you press the respective key on the number pad.
If this checkbox is activated, the character shown after "Same as locale setting" is inserted when you press the key on the number pad. If this checkbox is not activated, the character that your keyboard driver software provides is inserted.
Comment 2 bfoman (inactive) 2013-03-11 12:59:09 UTC
Sorry, seems it doesn't solve your problem - just found this at bug 42533 comment 1:

"This option defines only what character is inserted when you press the decimal separator key on the numeric keypad. It does not define the decimal separator for your locale."
Comment 3 tommy27 2014-01-02 17:51:15 UTC
(In reply to comment #0)
> Dear all;
> this is something which comes from OpenOffice. 
> ...

so version should be "inherited from OOo"
Comment 4 Dave Barton 2014-03-09 10:19:22 UTC
This is an old report with no version details and limited information about UI/language configuration settings. I have just tested versions 4.1.5, 4.2.1 & 4.2.2.1 on Win XP, 7 & Linux (64) RPM, with an Italian UI & language settings and the thousands separator (.) and decimal point (,) default to the correct Italian usage.
If the UI is set to English with Italian language settings, a warning message does appear to say that the number separators will default to the UI language.
Considering the age of this report I suggest that it be closed as FIXED or WON'T FIX and (if considered necessary) a RFE be opened for an option to set the number separators when a different UI language is in use.
Comment 5 Julien Nabet 2014-05-02 06:43:31 UTC
Waiting for feedback , so I put in NEEDINFO
Comment 6 retired 2014-05-04 11:23:17 UTC
actually setting NEEDINFO, as wanted by Julien.
Comment 7 Julien Nabet 2014-05-28 17:05:55 UTC
*** Bug 73482 has been marked as a duplicate of this bug. ***
Comment 8 lore 2015-01-01 19:14:19 UTC
Honestly, I still cannot get it to work as I would… If Italian is selected as "Locale setting" there's no way to get a period as separator, regardless of "Same as locale setting" checked or not. On the other hand, if English (USA) is selected as "Locale setting" there's no way to have a comma as separator…

Using LO 4.3.5.2 on Mac OSx 10.10.1 with System Language set to Italia and period as decimal separator. Please let me know if I can provide additional information.
Comment 9 tommy27 2015-01-01 20:31:27 UTC
@lore
I'm italian too.
probably you cannot use the "period" instead of the "comma" as a decimal separator in italian since this is a rule of italian typography.

so it seems you are willing to use LibO against typographycal rules of italian language, isn't it?
Comment 10 lore 2015-01-02 09:05:23 UTC
Yes, I think that's the case. In my opinion you should be able to select the separator regardless of the language you are using…


Regards

Lorenzo
Comment 11 tommy27 2015-01-02 14:44:10 UTC
> Yes, I think that's the case. In my opinion you should be able to select the
> separator regardless of the language you are using…
> 
> 
> Regards
> 
> Lorenzo

I have mixed feelings about this.
should we allow users to do what they want (setting the decimal separator regardless of the language) even if this is against some countries typographic rules? 

I'm afraid that such a change could generate interoperabilty conflicts among users of the same locale but using different settings.

let's hear what the UX-advise guys thinks about this.
Comment 12 Julien Nabet 2015-01-02 15:02:56 UTC
Andras: thought you might be interested in this one since it's about i18n
Comment 13 lore 2015-01-02 17:21:38 UTC
Two comments:

1. I think users should be able to select whatever separator they wish (as in excel).
2. If the separator is inherited from locale anyway, what's the purpose of  "Same as locale setting" 's checkbox?
Comment 14 m.a.riosv 2015-01-02 21:46:31 UTC
I think help is clear about the option:
https://help.libreoffice.org/scalc/cui/ui/optlanguagespage/decimalseparator?Language=en-US&System=WIN&Version=4.4#bm_id2873012
"
Decimal separator key - Same as locale setting

Specifies to use the decimal separator key that is set in your system when you press the respective key on the number pad.

If this checkbox is activated, the character shown after "Same as locale setting" is inserted when you press the key on the number pad. If this checkbox is not activated, the character that your keyboard driver software provides is inserted.
"

Maybe changing it at OS level is the way.
Comment 15 lore 2015-01-03 08:49:20 UTC
Thanks for the instructions. Unfortunately, as already said, my system decimal separator is already set to period, yet, I couldn't find any way to set the period in LO while keeping the language setting to Italian. As I'm on a laptop, I don't have any number pad.
Comment 16 m.a.riosv 2015-01-04 01:07:23 UTC
Reading again I have seen comment #2.

I don't know in Mac but in Win there is a MS keyboard layout creator http://msdn.microsoft.com/es-es/goglobal/bb964665.aspx, to customize the keyboard. Maybe something similar in Mac and Linux what I think can help to solve the issue with all program, setting up what character any key may returns, works fine for me changing dot for comma with numeric keypad in Win
Comment 17 lore 2015-01-04 08:26:35 UTC
Not sure I'm following… are you suggesting to somehow assign the period to the comma key?
Comment 18 m.a.riosv 2015-01-04 11:44:34 UTC
If that solves what you want, why not.
Comment 19 lore 2015-01-04 13:07:05 UTC
Because the issue here is not to press a comma instead of a period. The issue here is that if you calculate =3/2 LO returns 1,5 no matter what and there's no way that I know of to get 1.5 instead. At the same time, there's no way to get 1.5 (entered directly in a cell) recognized as a number instead of text.
Comment 20 m.a.riosv 2015-01-04 13:18:08 UTC
Created attachment 111720 [details]
Sample file

If you want the cell formatted with dot as decimal separator select a language with dot as decimal separator in the cell format, number's tab.
Comment 21 lore 2015-01-04 13:25:57 UTC
Thanks for this trick!

In any case, that doesn't look to me like a real solution to the problem here. Besides, it'll work as long as you don't enter the value by hand: if your cell language is set to english, you still have to write 12,2 to get 12.2…
Comment 22 Adolfo Jayme 2015-01-04 13:46:52 UTC
(In reply to tommy27 from comment #11)
> should we allow users to do what they want (setting the decimal separator
> regardless of the language) even if this is against some countries
> typographic rules? 

Yes. Calc is generally not about fancy typography.
Comment 23 Robert Pollak 2015-05-07 10:10:18 UTC
This seems to be a duplicate of bug 46448. Reporter, can you confirm?
Comment 24 lore 2015-05-09 09:43:27 UTC
It might, yes.
Comment 25 m.a.riosv 2015-07-18 01:27:23 UTC

*** This bug has been marked as a duplicate of bug 46448 ***